from setuptools import setup, find_packages

setup(
    name="ssh-file-to-cbs",
    version="1.0.0",
    packages=find_packages(),
    install_requires=[
        "paramiko>=2.7.2",
        "psutil>=5.8.0",
        "python-dotenv>=0.19.1",
        "pyftpdlib>=1.5.6",
    ],
    entry_points={
        "console_scripts": [
            "ssh-file-to-cbs=main:main",
        ],
    },
    python_requires=">=3.6",
    author="Converted from Java by Claude",
    description="A file transfer application using SSH/SFTP or FTP",
    classifiers=[
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
)